Habitat 0.26.0 Released

release

#1

We are happy to announce the release of Habitat 0.26.0. We have a number of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to our downloads page: https://www.habitat.sh/docs/get-habitat/ Thanks again for using Habitat!

Features & Enhancements

Today’s release has a major enhancement to the Supervisor, with the addition of Launcher. Launcher allows Habitat to update the Supervisor without requiring downtime for supervised services going forward.

This changes the process model for running the supervisor and how the supervisor spawns and supervises running processes. It adds a new binary (hab-launch) which, when started, spawns the latest Habitat supervisor which is already installed and passes the arguments it received to the Supervisor itself. If the Supervisor crashes or shuts itself down then the Launcher will restart it.

The Supervisor no longer spawns child processes itself. It will now delegate that task to the Launcher by communicating over a bi-directional named pipe using protobufs which is established at startup.

You must add the flag -A or --auto-update to hab sup run for the supervisor to update. (We plan to add a hab sup upgrade command for people who want to do this manually in the near future.)

Bug Fixes

  • Change hab pkg install logic #2722
  • Warn when installing a fully qualified package not present in the given channel #2726
  • Fix “hab pkg search” to work with an origin. #2715

Read the full Changelog on Github


#2

The notes above describe --autoupdate but the CLI says:

$ hab sup run --autoupdate
error: Found argument '--autoupdate' which wasn't expected, or isn't valid in this context
	Did you mean --auto-update?

USAGE:
    hab-sup run --auto-update

For more information try --help